<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>morphorobotx: ForceMeasurement Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">morphorobotx
   </div>
   <div id="projectbrief">morphorobotxsharedlibrary</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1.2 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Namespaces</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(9)"><span class="SelectionMark">&#160;</span>Macros</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-methods">Protected Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a> &#124;
<a href="classForceMeasurement-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">ForceMeasurement Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="ForceMeasurement_8hpp_source.html">ForceMeasurement.hpp</a>&gt;</code></p>
<div class="dynheader">
Collaboration diagram for ForceMeasurement:</div>
<div class="dyncontent">
<div class="center"><img src="classForceMeasurement__coll__graph.png" border="0" usemap="#ForceMeasurement_coll__map" alt="Collaboration graph"/></div>
<map name="ForceMeasurement_coll__map" id="ForceMeasurement_coll__map">
<area shape="rect" id="node6" href="classRobot.html" title="{Robot\n||+ Robot()\l+ ~Robot()\l+ BuildFromRecipe()\l+ Goto()\l+ GetPosition()\l+ SetAxisOption()\l+ UpdateAxisState()\l+ UpdateRobotState()\l+ RegisterFields()\l+ ParseRecipeFromIni()\l+ readParameters()\l+ forceMeasurement()\l+ stateManager()\l}" alt="" coords="444,2507,604,2800"/><area shape="rect" id="node2" href="classADCard.html" title="{ADCard\n|# dev\l# command\l# cmd\l# polynomial_converter\l# chanlist\l# range_info\l# maxdata\l# forceAcquisitionMode\l# buf\l|+ ADCard()\l+ ~ADCard()\l+ Init()\l+ GetVoltage()\l# PrepareCmdLib()\l# init_parsed_options()\l# cmd_src()\l# dump_cmd()\l}" alt="" coords="913,1734,1071,2079"/><area shape="rect" id="node4" href="structparsed__options.html" title="{parsed_options\n|+ filename\l+ value\l+ subdevice\l+ channel\l+ aref\l+ range\l+ physical\l+ verbose\l+ n_chan\l+ n_scan\l+ freq\l|}" alt="" coords="937,1408,1047,1667"/><area shape="rect" id="node8" href="classStateManager.html" title="{StateManager\n||+ StateManager()\l+ ~StateManager()\l+ state()\l+ logger()\l+ Renew()\l+ RegisterField()\l+ RegisterFieldExc()\l+ indexOfField()\l}" alt="" coords="176,569,317,775"/><area shape="rect" id="node18" href="classDataLogger.html" title="{DataLogger\n|# filename\l# file\l# stream\l# isHeaderPrepared\l|+ DataLogger()\l+ ~DataLogger()\l+ WriteCurrentState()\l+ SetFilename()\l+ valid()\l# PrepareFileHeader()\l}" alt="" coords="120,904,269,1128"/><area shape="rect" id="node23" href="classActuatorAxis.html" title="{ActuatorAxis\n|# _localID\l# holdMs\l# _name\l# _flip\l|+ ActuatorAxis()\l+ ~ActuatorAxis()\l+ itsActuatorSystem()\l+ GotoAsync()\l+ GotoSync()\l+ GetPositionSync()\l+ SetOption()\l+ LocalID()\l+ Name()\l+ SetName()\l+ SetFlip()\l+ RegisterFields()\l+ UpdateState()\l}" alt="" coords="293,843,443,1189"/><area shape="rect" id="node29" href="classHardwareManager.html" title="{HardwareManager\n||+ HardwareManager()\l+ ~HardwareManager()\l+ AcquireHardware()\l+ GetAxisPointer()\l+ BuildRobot()\l+ stateManager()\l# AcquireSmaractDevices()\l# AcquireZaberDevices()\l# QueryComediDevices()\l}" alt="" coords="433,2181,615,2405"/><area shape="rect" id="node10" href="classMeasurementState.html" title="{MeasurementState\n|+ double_nan\l# names\l# units\l|+ operator[]()\l+ MeasurementState()\l+ ~MeasurementState()\l+ GetHeaders()\l+ DumpCurrentValues()\l+ Get()\l+ Update()\l+ Invalidate()\l+ Volatile()\l+ RegisterField()\l+ IndexOfField()\l+ Renew()\l# Update()\l}" alt="" coords="167,173,327,501"/><area shape="rect" id="node12" href="classstd_1_1vector.html" title="{std::vector\&lt; QString \&gt;\n|+ element\l|}" alt="" coords="5,5,157,91"/><area shape="rect" id="node14" href="classstd_1_1vector.html" title="{std::vector\&lt; bool \&gt;\n|+ element\l|}" alt="" coords="181,5,312,91"/><area shape="rect" id="node16" href="classstd_1_1vector.html" title="{std::vector\&lt; double \&gt;\n|+ element\l|}" alt="" coords="336,5,483,91"/><area shape="rect" id="node21" href="classstd_1_1vector.html" title="{std::vector\&lt; ActuatorAxis * \&gt;\n||}" alt="" coords="127,1256,319,1341"/><area shape="rect" id="node26" href="classActuatorSystem.html" title="{ActuatorSystem\n|+ nchannels\l# _systemID\l# _localSystemID\l|+ ActuatorSystem()\l+ ~ActuatorSystem()\l+ AddAxis()\l+ SystemID()\l+ LocalSystemID()\l+ GetAxisPointer()\l}" alt="" coords="295,1434,439,1641"/><area shape="rect" id="node35" href="classstd_1_1vector.html" title="{std::vector\&lt; ActuatorSystem * \&gt;\n||}" alt="" coords="276,1864,487,1949"/><area shape="rect" id="node31" href="classstd_1_1vector.html" title="{std::vector\&lt; Controller * \&gt;\n||}" alt="" coords="561,1864,735,1949"/><area shape="rect" id="node33" href="classController.html" title="{Controller\n||+ Controller()\l+ GetAxis()\l+ ~Controller()\l}" alt="" coords="595,1477,701,1597"/><area shape="rect" id="node40" href="classForceSensor.html" title="{ForceSensor\n|# gain\l# maxForce\l# offsetForce\l|+ ForceSensor()\l+ ~ForceSensor()\l+ SetGain()\l+ SetMaxForce()\l+ SetOffsetForce()\l+ GetOffsetForce()\l+ GetMaxForce()\l+ GetForce()\l}" alt="" coords="759,1786,889,2027"/></map>
</div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr class="memitem:a38e844408d0b62e8fee5ba1560e98341"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classForceMeasurement.html#a38e844408d0b62e8fee5ba1560e98341">ForceUnit</a> { <a class="el" href="classForceMeasurement.html#a38e844408d0b62e8fee5ba1560e98341a0fbce59585e99369144cba95f6d66804">UNIT_NEWTON</a>, 
<a class="el" href="classForceMeasurement.html#a38e844408d0b62e8fee5ba1560e98341ad92f109f389710ee183c17957872c0e4">UNIT_MICRONEWTON</a>
 }</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a88ea63ab69a7fffcfc30e51c372a246d"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classForceMeasurement.html#a88ea63ab69a7fffcfc30e51c372a246d">ForceMeasurement</a> (<a class="el" href="classRobot.html">Robot</a> &amp;robot)</td></tr>
<tr class="memitem:a32169f03a2ef0c4dbe57304dbbb9477b"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classForceMeasurement.html#a32169f03a2ef0c4dbe57304dbbb9477b">~ForceMeasurement</a> ()</td></tr>
<tr class="memitem:a10d42158a34d88edc9f8c2e3d8914cd8"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classForceMeasurement.html#a10d42158a34d88edc9f8c2e3d8914cd8">Init</a> (int integrationTimeMs)</td></tr>
<tr class="memitem:a34e8231b10f5544090399faf29e90f1e"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classForceMeasurement.html#a34e8231b10f5544090399faf29e90f1e">SetSensorGain</a> (double gain)</td></tr>
<tr class="memitem:a3f42e8b4b54d18c7db9efc89b52b011d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classForceMeasurement.html#a3f42e8b4b54d18c7db9efc89b52b011d">SetSensorMaxForce</a> (double maxForce)</td></tr>
<tr class="memitem:aa7f2465589dbc2fc98c9c95f6f0e469b"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classForceMeasurement.html#aa7f2465589dbc2fc98c9c95f6f0e469b">SetSensorOffsetForce</a> (double offsetForce)</td></tr>
<tr class="memitem:abb4e5fce9f6a6edc29cfa533c8f769c4"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classForceMeasurement.html#abb4e5fce9f6a6edc29cfa533c8f769c4">SetForceUnit</a> (<a class="el" href="classForceMeasurement.html#a38e844408d0b62e8fee5ba1560e98341">ForceUnit</a> unit)</td></tr>
<tr class="memitem:a80208d8da5f82bb0c7ed84d001d29269"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classForceMeasurement.html#a80208d8da5f82bb0c7ed84d001d29269">TareSensor</a> ()</td></tr>
<tr class="memitem:ae6bb9d59b00ea4d0e093704874b2f99d"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classForceMeasurement.html#ae6bb9d59b00ea4d0e093704874b2f99d">UpdateForce</a> ()</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="pro-methods"></a>
Protected Member Functions</h2></td></tr>
<tr class="memitem:afae4af7dcb17923e4701ea5a5d5040ee"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classForceMeasurement.html#afae4af7dcb17923e4701ea5a5d5040ee">GetForceAndVoltage</a> (<a class="el" href="classForceMeasurement.html#a38e844408d0b62e8fee5ba1560e98341">ForceMeasurement::ForceUnit</a> unit, double &amp;force, double &amp;voltage)</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr class="memitem:a87e01fd15d5697263a0ed413304d49ff"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classADCard.html">ADCard</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classForceMeasurement.html#a87e01fd15d5697263a0ed413304d49ff">card</a></td></tr>
<tr class="memitem:a593bbb4109f7a05d9b4262ed61c82f59"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classForceSensor.html">ForceSensor</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classForceMeasurement.html#a593bbb4109f7a05d9b4262ed61c82f59">sensor</a></td></tr>
<tr class="memitem:a069f2d934ce8cbe22d17a41deddd8564"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classRobot.html">Robot</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classForceMeasurement.html#a069f2d934ce8cbe22d17a41deddd8564">_robot</a></td></tr>
<tr class="memitem:a50fba0cd96badd31cab9c11d33cd9e09"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classForceMeasurement.html#a38e844408d0b62e8fee5ba1560e98341">ForceUnit</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classForceMeasurement.html#a50fba0cd96badd31cab9c11d33cd9e09">forceUnit</a></td></tr>
<tr class="memitem:ae1970046d2132b100e0bc6d49d6fbe41"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classForceMeasurement.html#ae1970046d2132b100e0bc6d49d6fbe41">_fieldIdForce</a></td></tr>
<tr class="memitem:a22f94f542c4e09bd968a621cfcde0e1e"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classForceMeasurement.html#a22f94f542c4e09bd968a621cfcde0e1e">_fieldIdVoltage</a></td></tr>
<tr class="memitem:af6d8f00ce2a53ecabe334ca83dcddecc"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classForceMeasurement.html#af6d8f00ce2a53ecabe334ca83dcddecc">_fieldIdAssumedForceOffset</a></td></tr>
</table>
<h2>Member Enumeration Documentation</h2>
<a class="anchor" id="a38e844408d0b62e8fee5ba1560e98341"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="classForceMeasurement.html#a38e844408d0b62e8fee5ba1560e98341">ForceMeasurement::ForceUnit</a></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl><dt><b>Enumerator: </b></dt><dd><table border="0" cellspacing="2" cellpadding="0">
<tr><td valign="top"><em><a class="anchor" id="a38e844408d0b62e8fee5ba1560e98341a0fbce59585e99369144cba95f6d66804"></a>UNIT_NEWTON</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="a38e844408d0b62e8fee5ba1560e98341ad92f109f389710ee183c17957872c0e4"></a>UNIT_MICRONEWTON</em>&nbsp;</td><td>
</td></tr>
</table>
</dd>
</dl>

</div>
</div>
<h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a88ea63ab69a7fffcfc30e51c372a246d"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">ForceMeasurement::ForceMeasurement </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classRobot.html">Robot</a> &amp;&#160;</td>
          <td class="paramname"><em>robot</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">explicit</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="classForceMeasurement_a88ea63ab69a7fffcfc30e51c372a246d_cgraph.png" border="0" usemap="#classForceMeasurement_a88ea63ab69a7fffcfc30e51c372a246d_cgraph" alt=""/></div>
<map name="classForceMeasurement_a88ea63ab69a7fffcfc30e51c372a246d_cgraph" id="classForceMeasurement_a88ea63ab69a7fffcfc30e51c372a246d_cgraph">
<area shape="rect" id="node3" href="classRobot.html#a401f61ae45e4c0587e9127e2c4c3dd67" title="Robot::stateManager" alt="" coords="343,5,487,35"/><area shape="rect" id="node5" href="classStateManager.html#a66f3e5168d30045d7e71d058508268b5" title="TODO: call RegisterField and throw an exception on error." alt="" coords="309,59,520,88"/><area shape="rect" id="node7" href="classStateManager.html#a97a286d9ca4faf9cc3d15b3a23a0d7a0" title="TODO: return the key with &#45;1 if error." alt="" coords="569,59,756,88"/><area shape="rect" id="node9" href="classStateManager.html#aabffaf5fc58ab7c74fccde1d84d91603" title="StateManager::state" alt="" coords="831,28,969,57"/><area shape="rect" id="node11" href="classMeasurementState.html#adeb1ea79e7301613ec53b842fb932383" title="MeasurementState::Register\lField" alt="" coords="805,81,995,127"/></map>
</div>
</p>

</div>
</div>
<a class="anchor" id="a32169f03a2ef0c4dbe57304dbbb9477b"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">ForceMeasurement::~ForceMeasurement </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2>Member Function Documentation</h2>
<a class="anchor" id="afae4af7dcb17923e4701ea5a5d5040ee"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool ForceMeasurement::GetForceAndVoltage </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classForceMeasurement.html#a38e844408d0b62e8fee5ba1560e98341">ForceMeasurement::ForceUnit</a>&#160;</td>
          <td class="paramname"><em>unit</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">double &amp;&#160;</td>
          <td class="paramname"><em>force</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">double &amp;&#160;</td>
          <td class="paramname"><em>voltage</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="classForceMeasurement_afae4af7dcb17923e4701ea5a5d5040ee_cgraph.png" border="0" usemap="#classForceMeasurement_afae4af7dcb17923e4701ea5a5d5040ee_cgraph" alt=""/></div>
<map name="classForceMeasurement_afae4af7dcb17923e4701ea5a5d5040ee_cgraph" id="classForceMeasurement_afae4af7dcb17923e4701ea5a5d5040ee_cgraph">
<area shape="rect" id="node3" href="classADCard.html#ad6e0ad1f4e6849d4f5726277f2d0b85a" title="ADCard::GetVoltage" alt="" coords="277,5,419,35"/><area shape="rect" id="node5" href="classForceSensor.html#a96c60928bb3a6bc09e3754d178cd4fb4" title="ForceSensor::GetForce" alt="" coords="269,59,427,88"/><area shape="rect" id="node7" href="classRobot.html#a401f61ae45e4c0587e9127e2c4c3dd67" title="Robot::stateManager" alt="" coords="276,112,420,141"/><area shape="rect" id="node9" href="classStateManager.html#aabffaf5fc58ab7c74fccde1d84d91603" title="StateManager::state" alt="" coords="279,165,417,195"/><area shape="rect" id="node11" href="classMeasurementState.html#a82938cc1ca95f67d6c7a9cfe96808e7c" title="MeasurementState::Update" alt="" coords="257,219,439,248"/><area shape="rect" id="node13" href="classForceSensor.html#ab2afaec2f465720f6408f63e202c284c" title="ForceSensor::GetOffsetForce" alt="" coords="251,272,445,301"/></map>
</div>
</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="classForceMeasurement_afae4af7dcb17923e4701ea5a5d5040ee_icgraph.png" border="0" usemap="#classForceMeasurement_afae4af7dcb17923e4701ea5a5d5040ee_icgraph" alt=""/></div>
<map name="classForceMeasurement_afae4af7dcb17923e4701ea5a5d5040ee_icgraph" id="classForceMeasurement_afae4af7dcb17923e4701ea5a5d5040ee_icgraph">
<area shape="rect" id="node3" href="classForceMeasurement.html#ae6bb9d59b00ea4d0e093704874b2f99d" title="ForceMeasurement::Update\lForce" alt="" coords="264,5,448,51"/><area shape="rect" id="node5" href="classForceMeasurement.html#a80208d8da5f82bb0c7ed84d001d29269" title="ForceMeasurement::TareSensor" alt="" coords="252,75,460,104"/></map>
</div>
</p>

</div>
</div>
<a class="anchor" id="a10d42158a34d88edc9f8c2e3d8914cd8"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool ForceMeasurement::Init </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>integrationTimeMs</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="classForceMeasurement_a10d42158a34d88edc9f8c2e3d8914cd8_cgraph.png" border="0" usemap="#classForceMeasurement_a10d42158a34d88edc9f8c2e3d8914cd8_cgraph" alt=""/></div>
<map name="classForceMeasurement_a10d42158a34d88edc9f8c2e3d8914cd8_cgraph" id="classForceMeasurement_a10d42158a34d88edc9f8c2e3d8914cd8_cgraph">
<area shape="rect" id="node3" href="classADCard.html#a6516ee31f7f557493d558ac75ae42a75" title="ADCard::Init" alt="" coords="215,75,308,104"/><area shape="rect" id="node5" href="classADCard.html#ae7dd4e13c4880d3224a855bf1cc101ad" title="ADCard::init_parsed\l_options" alt="" coords="372,5,511,51"/><area shape="rect" id="node7" href="classADCard.html#a1661b2c07688c5520bf20753ef7192cc" title="ADCard::PrepareCmdLib" alt="" coords="359,75,524,104"/><area shape="rect" id="node9" href="classADCard.html#ae42b941cff6846a66cbdcdf0c1d5d499" title="ADCard::dump_cmd" alt="" coords="371,128,512,157"/><area shape="rect" id="node11" href="classADCard.html#a4fca811344fca9a6017bd75e885a48f5" title="ADCard::cmd_src" alt="" coords="575,128,700,157"/></map>
</div>
</p>

</div>
</div>
<a class="anchor" id="abb4e5fce9f6a6edc29cfa533c8f769c4"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ForceMeasurement::SetForceUnit </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classForceMeasurement.html#a38e844408d0b62e8fee5ba1560e98341">ForceUnit</a>&#160;</td>
          <td class="paramname"><em>unit</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a34e8231b10f5544090399faf29e90f1e"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ForceMeasurement::SetSensorGain </td>
          <td>(</td>
          <td class="paramtype">double&#160;</td>
          <td class="paramname"><em>gain</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="classForceMeasurement_a34e8231b10f5544090399faf29e90f1e_cgraph.png" border="0" usemap="#classForceMeasurement_a34e8231b10f5544090399faf29e90f1e_cgraph" alt=""/></div>
<map name="classForceMeasurement_a34e8231b10f5544090399faf29e90f1e_cgraph" id="classForceMeasurement_a34e8231b10f5544090399faf29e90f1e_cgraph">
<area shape="rect" id="node3" href="classForceSensor.html#a30772feffe31fe028a562686548d3747" title="ForceSensor::SetGain" alt="" coords="287,5,436,35"/></map>
</div>
</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="classForceMeasurement_a34e8231b10f5544090399faf29e90f1e_icgraph.png" border="0" usemap="#classForceMeasurement_a34e8231b10f5544090399faf29e90f1e_icgraph" alt=""/></div>
<map name="classForceMeasurement_a34e8231b10f5544090399faf29e90f1e_icgraph" id="classForceMeasurement_a34e8231b10f5544090399faf29e90f1e_icgraph">
<area shape="rect" id="node3" href="classRobot.html#a81113fbdb49a6a17c2601fbb4318d0f6" title="Robot::readParameters" alt="" coords="285,5,443,35"/><area shape="rect" id="node5" href="classExperiment.html#a2666b3fed68eef734107a0251ce405ce" title="Experiment::Initialize" alt="" coords="491,5,635,35"/></map>
</div>
</p>

</div>
</div>
<a class="anchor" id="a3f42e8b4b54d18c7db9efc89b52b011d"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ForceMeasurement::SetSensorMaxForce </td>
          <td>(</td>
          <td class="paramtype">double&#160;</td>
          <td class="paramname"><em>maxForce</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="classForceMeasurement_a3f42e8b4b54d18c7db9efc89b52b011d_cgraph.png" border="0" usemap="#classForceMeasurement_a3f42e8b4b54d18c7db9efc89b52b011d_cgraph" alt=""/></div>
<map name="classForceMeasurement_a3f42e8b4b54d18c7db9efc89b52b011d_cgraph" id="classForceMeasurement_a3f42e8b4b54d18c7db9efc89b52b011d_cgraph">
<area shape="rect" id="node3" href="classForceSensor.html#a5f2044a55ffffec962204f02f2eb0fb2" title="ForceSensor::SetMaxForce" alt="" coords="257,13,439,43"/></map>
</div>
</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="classForceMeasurement_a3f42e8b4b54d18c7db9efc89b52b011d_icgraph.png" border="0" usemap="#classForceMeasurement_a3f42e8b4b54d18c7db9efc89b52b011d_icgraph" alt=""/></div>
<map name="classForceMeasurement_a3f42e8b4b54d18c7db9efc89b52b011d_icgraph" id="classForceMeasurement_a3f42e8b4b54d18c7db9efc89b52b011d_icgraph">
<area shape="rect" id="node3" href="classRobot.html#a81113fbdb49a6a17c2601fbb4318d0f6" title="Robot::readParameters" alt="" coords="256,13,413,43"/><area shape="rect" id="node5" href="classExperiment.html#a2666b3fed68eef734107a0251ce405ce" title="Experiment::Initialize" alt="" coords="461,13,605,43"/></map>
</div>
</p>

</div>
</div>
<a class="anchor" id="aa7f2465589dbc2fc98c9c95f6f0e469b"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void ForceMeasurement::SetSensorOffsetForce </td>
          <td>(</td>
          <td class="paramtype">double&#160;</td>
          <td class="paramname"><em>offsetForce</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="classForceMeasurement_aa7f2465589dbc2fc98c9c95f6f0e469b_cgraph.png" border="0" usemap="#classForceMeasurement_aa7f2465589dbc2fc98c9c95f6f0e469b_cgraph" alt=""/></div>
<map name="classForceMeasurement_aa7f2465589dbc2fc98c9c95f6f0e469b_cgraph" id="classForceMeasurement_aa7f2465589dbc2fc98c9c95f6f0e469b_cgraph">
<area shape="rect" id="node3" href="classForceSensor.html#a963c626729d3700399ebf91f6cb0e681" title="ForceSensor::SetOffsetForce" alt="" coords="259,5,451,35"/><area shape="rect" id="node5" href="classRobot.html#a401f61ae45e4c0587e9127e2c4c3dd67" title="Robot::stateManager" alt="" coords="283,59,427,88"/><area shape="rect" id="node7" href="classStateManager.html#aabffaf5fc58ab7c74fccde1d84d91603" title="StateManager::state" alt="" coords="285,112,424,141"/><area shape="rect" id="node9" href="classMeasurementState.html#ab18c25e7210106d1327f75d95ef31c54" title="MeasurementState::Invalidate" alt="" coords="257,165,452,195"/></map>
</div>
</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="classForceMeasurement_aa7f2465589dbc2fc98c9c95f6f0e469b_icgraph.png" border="0" usemap="#classForceMeasurement_aa7f2465589dbc2fc98c9c95f6f0e469b_icgraph" alt=""/></div>
<map name="classForceMeasurement_aa7f2465589dbc2fc98c9c95f6f0e469b_icgraph" id="classForceMeasurement_aa7f2465589dbc2fc98c9c95f6f0e469b_icgraph">
<area shape="rect" id="node3" href="classForceMeasurement.html#a80208d8da5f82bb0c7ed84d001d29269" title="ForceMeasurement::TareSensor" alt="" coords="257,13,465,43"/></map>
</div>
</p>

</div>
</div>
<a class="anchor" id="a80208d8da5f82bb0c7ed84d001d29269"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool ForceMeasurement::TareSensor </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="classForceMeasurement_a80208d8da5f82bb0c7ed84d001d29269_cgraph.png" border="0" usemap="#classForceMeasurement_a80208d8da5f82bb0c7ed84d001d29269_cgraph" alt=""/></div>
<map name="classForceMeasurement_a80208d8da5f82bb0c7ed84d001d29269_cgraph" id="classForceMeasurement_a80208d8da5f82bb0c7ed84d001d29269_cgraph">
<area shape="rect" id="node3" href="classForceMeasurement.html#afae4af7dcb17923e4701ea5a5d5040ee" title="ForceMeasurement::GetForce\lAndVoltage" alt="" coords="268,157,463,203"/><area shape="rect" id="node17" href="classForceMeasurement.html#aa7f2465589dbc2fc98c9c95f6f0e469b" title="ForceMeasurement::SetSensor\lOffsetForce" alt="" coords="264,263,467,310"/><area shape="rect" id="node5" href="classADCard.html#ad6e0ad1f4e6849d4f5726277f2d0b85a" title="ADCard::GetVoltage" alt="" coords="543,5,684,35"/><area shape="rect" id="node7" href="classForceSensor.html#a96c60928bb3a6bc09e3754d178cd4fb4" title="ForceSensor::GetForce" alt="" coords="535,59,692,88"/><area shape="rect" id="node9" href="classRobot.html#a401f61ae45e4c0587e9127e2c4c3dd67" title="Robot::stateManager" alt="" coords="541,219,685,248"/><area shape="rect" id="node11" href="classStateManager.html#aabffaf5fc58ab7c74fccde1d84d91603" title="StateManager::state" alt="" coords="544,272,683,301"/><area shape="rect" id="node13" href="classMeasurementState.html#a82938cc1ca95f67d6c7a9cfe96808e7c" title="MeasurementState::Update" alt="" coords="523,112,704,141"/><area shape="rect" id="node15" href="classForceSensor.html#ab2afaec2f465720f6408f63e202c284c" title="ForceSensor::GetOffsetForce" alt="" coords="516,165,711,195"/><area shape="rect" id="node19" href="classForceSensor.html#a963c626729d3700399ebf91f6cb0e681" title="ForceSensor::SetOffsetForce" alt="" coords="517,325,709,355"/><area shape="rect" id="node23" href="classMeasurementState.html#ab18c25e7210106d1327f75d95ef31c54" title="MeasurementState::Invalidate" alt="" coords="516,379,711,408"/></map>
</div>
</p>

</div>
</div>
<a class="anchor" id="ae6bb9d59b00ea4d0e093704874b2f99d"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool ForceMeasurement::UpdateForce </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="section return"><dt>Returns</dt><dd></dd></dl>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="classForceMeasurement_ae6bb9d59b00ea4d0e093704874b2f99d_cgraph.png" border="0" usemap="#classForceMeasurement_ae6bb9d59b00ea4d0e093704874b2f99d_cgraph" alt=""/></div>
<map name="classForceMeasurement_ae6bb9d59b00ea4d0e093704874b2f99d_cgraph" id="classForceMeasurement_ae6bb9d59b00ea4d0e093704874b2f99d_cgraph">
<area shape="rect" id="node3" href="classForceMeasurement.html#afae4af7dcb17923e4701ea5a5d5040ee" title="ForceMeasurement::GetForce\lAndVoltage" alt="" coords="239,130,433,177"/><area shape="rect" id="node5" href="classADCard.html#ad6e0ad1f4e6849d4f5726277f2d0b85a" title="ADCard::GetVoltage" alt="" coords="509,5,651,35"/><area shape="rect" id="node7" href="classForceSensor.html#a96c60928bb3a6bc09e3754d178cd4fb4" title="ForceSensor::GetForce" alt="" coords="501,59,659,88"/><area shape="rect" id="node9" href="classRobot.html#a401f61ae45e4c0587e9127e2c4c3dd67" title="Robot::stateManager" alt="" coords="508,112,652,141"/><area shape="rect" id="node11" href="classStateManager.html#aabffaf5fc58ab7c74fccde1d84d91603" title="StateManager::state" alt="" coords="511,165,649,195"/><area shape="rect" id="node13" href="classMeasurementState.html#a82938cc1ca95f67d6c7a9cfe96808e7c" title="MeasurementState::Update" alt="" coords="489,219,671,248"/><area shape="rect" id="node15" href="classForceSensor.html#ab2afaec2f465720f6408f63e202c284c" title="ForceSensor::GetOffsetForce" alt="" coords="483,272,677,301"/></map>
</div>
</p>

</div>
</div>
<h2>Member Data Documentation</h2>
<a class="anchor" id="af6d8f00ce2a53ecabe334ca83dcddecc"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int ForceMeasurement::_fieldIdAssumedForceOffset</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="ae1970046d2132b100e0bc6d49d6fbe41"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int ForceMeasurement::_fieldIdForce</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a22f94f542c4e09bd968a621cfcde0e1e"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int ForceMeasurement::_fieldIdVoltage</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a069f2d934ce8cbe22d17a41deddd8564"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classRobot.html">Robot</a>&amp; ForceMeasurement::_robot</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a87e01fd15d5697263a0ed413304d49ff"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classADCard.html">ADCard</a> ForceMeasurement::card</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a50fba0cd96badd31cab9c11d33cd9e09"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classForceMeasurement.html#a38e844408d0b62e8fee5ba1560e98341">ForceUnit</a> ForceMeasurement::forceUnit</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a593bbb4109f7a05d9b4262ed61c82f59"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classForceSensor.html">ForceSensor</a> ForceMeasurement::sensor</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li><a class="el" href="ForceMeasurement_8hpp_source.html">ForceMeasurement.hpp</a></li>
<li><a class="el" href="ForceMeasurement_8cpp.html">ForceMeasurement.cpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Tue Feb 26 2013 17:54:10 for morphorobotx by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1.2
</small></address>
</body>
</html>
